#!/bin/bash
#
# We use the marker section technique to programmatically add
# TinyPilot-specific configuration to system config files. Wrapping up such
# addendums into markers allows us to maintain bits of custom configuration
# without having to properly parse the entire file.
#
# Shellcheck can't detect when variables are used elsewhere so we need to
# disable the unused variable check for this file.
# shellcheck disable=SC2034

readonly MARKER_START='# --- AUTOGENERATED BY TINYPILOT - START ---'
readonly MARKER_END='# --- AUTOGENERATED BY TINYPILOT - END ---'
